; WillPang.nsi
;
; This script was adapted from example2.nsi that came with Nullsoft NSIS
;
; Edited by William Denniss

; The name of the installer
Name "WillPang 1.5.2a"

; The file to write
OutFile "WillPang1.5.2a.exe"

;Set the installation icon
Icon ../../../tsins.ico

;Set the uninstall icon
UninstallIcon ../../../tsunins.ico

;Set Selected picture
EnabledBitmap ../../../sel.bmp

;Set unselected picture
DisabledBitmap ../../../unsel.bmp

;show the details while installing
ShowInstDetails show

LicenseText "You must agree to this license before you continue"
LicenseData ../../../license.txt



; The default installation directory
InstallDir $PROGRAMFILES\TankSoftware\WillPang
; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM SOFTWARE\WillPang "Install_Dir"

; The text to prompt the user to enter a directory
ComponentText "This will install WillPang 1.5.2a."
; The text to prompt the user to enter a directory
DirText "Choose where you want the program to be installed.  It is recommended that you don't change it from the default directory."

; The stuff to install
Section "WillPang (required)"

	MessageBox MB_OK "Please note:  A full version of WillPang, and the Java runtime files must be installed for this program to work correctly."


  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  ; Put file there
  File "WillPang.jar"

SectionEnd

; eof
